PATH: //proc/self/root/usr/libexec/git-core
FILE_BARU
CREATE
FOLDER_BARU
MKDIR
UPLOAD_FILE
GO
[ .. KEMBALI ]
📄 git
↓
X
📄 git-add
↓
X
📄 git-am
↓
X
📄 git-annotate
↓
X
📄 git-apply
↓
X
📄 git-archive
↓
X
📄 git-bisect
↓
X
📄 git-blame
↓
X
📄 git-branch
↓
X
📄 git-bugreport
↓
X
📄 git-bundle
↓
X
📄 git-cat-file
↓
X
📄 git-check-attr
↓
X
📄 git-check-ignore
↓
X
📄 git-check-mailmap
↓
X
📄 git-check-ref-format
↓
X
📄 git-checkout
↓
X
📄 git-checkout--worker
↓
X
📄 git-checkout-index
↓
X
📄 git-cherry
↓
X
📄 git-cherry-pick
↓
X
📄 git-clean
↓
X
📄 git-clone
↓
X
📄 git-column
↓
X
📄 git-commit
↓
X
📄 git-commit-graph
↓
X
📄 git-commit-tree
↓
X
📄 git-config
↓
X
📄 git-contacts
↓
X
📄 git-count-objects
↓
X
📄 git-credential
↓
X
📄 git-credential-cache
↓
X
📄 git-credential-cache--daemon
↓
X
📄 git-credential-netrc
↓
X
📄 git-credential-store
↓
X
📄 git-describe
↓
X
📄 git-diagnose
↓
X
📄 git-diff
↓
X
📄 git-diff-files
↓
X
📄 git-diff-index
↓
X
📄 git-diff-tree
↓
X
📄 git-difftool
↓
X
📄 git-difftool--helper
↓
X
📄 git-fast-export
↓
X
📄 git-fast-import
↓
X
📄 git-fetch
↓
X
📄 git-fetch-pack
↓
X
📄 git-filter-branch
↓
X
📄 git-fmt-merge-msg
↓
X
📄 git-for-each-ref
↓
X
📄 git-for-each-repo
↓
X
📄 git-format-patch
↓
X
📄 git-fsck
↓
X
📄 git-fsck-objects
↓
X
📄 git-fsmonitor--daemon
↓
X
📄 git-gc
↓
X
📄 git-get-tar-commit-id
↓
X
📄 git-grep
↓
X
📄 git-hash-object
↓
X
📄 git-help
↓
X
📄 git-hook
↓
X
📄 git-http-backend
↓
X
📄 git-http-fetch
↓
X
📄 git-http-push
↓
X
📄 git-imap-send
↓
X
📄 git-index-pack
↓
X
📄 git-init
↓
X
📄 git-init-db
↓
X
📄 git-interpret-trailers
↓
X
📄 git-log
↓
X
📄 git-ls-files
↓
X
📄 git-ls-remote
↓
X
📄 git-ls-tree
↓
X
📄 git-mailinfo
↓
X
📄 git-mailsplit
↓
X
📄 git-maintenance
↓
X
📄 git-merge
↓
X
📄 git-merge-base
↓
X
📄 git-merge-file
↓
X
📄 git-merge-index
↓
X
📄 git-merge-octopus
↓
X
📄 git-merge-one-file
↓
X
📄 git-merge-ours
↓
X
📄 git-merge-recursive
↓
X
📄 git-merge-resolve
↓
X
📄 git-merge-subtree
↓
X
📄 git-merge-tree
↓
X
📄 git-mergetool
↓
X
📄 git-mergetool--lib
↓
X
📄 git-mktag
↓
X
📄 git-mktree
↓
X
📄 git-multi-pack-index
↓
X
📄 git-mv
↓
X
📄 git-name-rev
↓
X
📄 git-notes
↓
X
📄 git-pack-objects
↓
X
📄 git-pack-redundant
↓
X
📄 git-pack-refs
↓
X
📄 git-patch-id
↓
X
📄 git-prune
↓
X
📄 git-prune-packed
↓
X
📄 git-pull
↓
X
📄 git-push
↓
X
📄 git-quiltimport
↓
X
📄 git-range-diff
↓
X
📄 git-read-tree
↓
X
📄 git-rebase
↓
X
📄 git-receive-pack
↓
X
📄 git-reflog
↓
X
📄 git-refs
↓
X
📄 git-remote
↓
X
📄 git-remote-ext
↓
X
📄 git-remote-fd
↓
X
📄 git-remote-ftp
↓
X
📄 git-remote-ftps
↓
X
📄 git-remote-http
↓
X
📄 git-remote-https
↓
X
📄 git-repack
↓
X
📄 git-replace
↓
X
📄 git-replay
↓
X
📄 git-request-pull
↓
X
📄 git-rerere
↓
X
📄 git-reset
↓
X
📄 git-restore
↓
X
📄 git-rev-list
↓
X
📄 git-rev-parse
↓
X
📄 git-revert
↓
X
📄 git-rm
↓
X
📄 git-send-pack
↓
X
📄 git-sh-i18n
↓
X
📄 git-sh-i18n--envsubst
↓
X
📄 git-sh-setup
↓
X
📄 git-shell
↓
X
📄 git-shortlog
↓
X
📄 git-show
↓
X
📄 git-show-branch
↓
X
📄 git-show-index
↓
X
📄 git-show-ref
↓
X
📄 git-sparse-checkout
↓
X
📄 git-stage
↓
X
📄 git-stash
↓
X
📄 git-status
↓
X
📄 git-stripspace
↓
X
📄 git-submodule
↓
X
📄 git-submodule--helper
↓
X
📄 git-switch
↓
X
📄 git-symbolic-ref
↓
X
📄 git-tag
↓
X
📄 git-unpack-file
↓
X
📄 git-unpack-objects
↓
X
📄 git-update-index
↓
X
📄 git-update-ref
↓
X
📄 git-update-server-info
↓
X
📄 git-upload-archive
↓
X
📄 git-upload-pack
↓
X
📄 git-var
↓
X
📄 git-verify-commit
↓
X
📄 git-verify-pack
↓
X
📄 git-verify-tag
↓
X
📄 git-version
↓
X
📄 git-web--browse
↓
X
📄 git-whatchanged
↓
X
📄 git-worktree
↓
X
📄 git-write-tree
↓
X
📁 mergetools/
X
📄 scalar
↓
X
SAVING...
BERHASIL DIUBAH!
EDITING: git-merge-one-file
#!/usr/bin/sh # # Copyright (c) Linus Torvalds, 2005 # # This is the git per-file merge script, called with # # $1 - original file SHA1 (or empty) # $2 - file in branch1 SHA1 (or empty) # $3 - file in branch2 SHA1 (or empty) # $4 - pathname in repository # $5 - original file mode (or empty) # $6 - file in branch1 mode (or empty) # $7 - file in branch2 mode (or empty) # # Handle some trivial cases.. The _really_ trivial cases have # been handled already by git read-tree, but that one doesn't # do any merges that might change the tree layout. USAGE='<orig blob> <our blob> <their blob> <path>' USAGE="$USAGE <orig mode> <our mode> <their mode>" LONG_USAGE="usage: git merge-one-file $USAGE Blob ids and modes should be empty for missing files." SUBDIRECTORY_OK=Yes . git-sh-setup cd_to_toplevel require_work_tree if test $# != 7 then echo "$LONG_USAGE" exit 1 fi case "${1:-.}${2:-.}${3:-.}" in # # Deleted in both or deleted in one and unchanged in the other # "$1.." | "$1.$1" | "$1$1.") if { test -z "$6" && test "$5" != "$7"; } || { test -z "$7" && test "$5" != "$6"; } then echo "ERROR: File $4 deleted on one branch but had its" >&2 echo "ERROR: permissions changed on the other." >&2 exit 1 fi if test -n "$2" then echo "Removing $4" else # read-tree checked that index matches HEAD already, # so we know we do not have this path tracked. # there may be an unrelated working tree file here, # which we should just leave unmolested. Make sure # we do not have it in the index, though. exec git update-index --remove -- "$4" fi if test -f "$4" then rm -f -- "$4" && rmdir -p "$(expr "z$4" : 'z\(.*\)/')" 2>/dev/null || : fi && exec git update-index --remove -- "$4" ;; # # Added in one. # ".$2.") # the other side did not add and we added so there is nothing # to be done, except making the path merged. exec git update-index --add --cacheinfo "$6" "$2" "$4" ;; "..$3") echo "Adding $4" if test -f "$4" then echo "ERROR: untracked $4 is overwritten by the merge." >&2 exit 1 fi git update-index --add --cacheinfo "$7" "$3" "$4" && exec git checkout-index -u -f -- "$4" ;; # # Added in both, identically (check for same permissions). # ".$3$2") if test "$6" != "$7" then echo "ERROR: File $4 added identically in both branches," >&2 echo "ERROR: but permissions conflict $6->$7." >&2 exit 1 fi echo "Adding $4" git update-index --add --cacheinfo "$6" "$2" "$4" && exec git checkout-index -u -f -- "$4" ;; # # Modified in both, but differently. # "$1$2$3" | ".$2$3") case ",$6,$7," in *,120000,*) echo "ERROR: $4: Not merging symbolic link changes." >&2 exit 1 ;; *,160000,*) echo "ERROR: $4: Not merging conflicting submodule changes." >&2 exit 1 ;; esac src1=$(git unpack-file $2) src2=$(git unpack-file $3) case "$1" in '') echo "Added $4 in both, but differently." orig=$(git unpack-file $(git hash-object /dev/null)) ;; *) echo "Auto-merging $4" orig=$(git unpack-file $1) ;; esac git merge-file "$src1" "$orig" "$src2" ret=$? msg= if test $ret != 0 || test -z "$1" then msg='content conflict' ret=1 fi # Create the working tree file, using "our tree" version from the # index, and then store the result of the merge. git checkout-index -f --stage=2 -- "$4" && cat "$src1" >"$4" || exit 1 rm -f -- "$orig" "$src1" "$src2" if test "$6" != "$7" then if test -n "$msg" then msg="$msg, " fi msg="${msg}permissions conflict: $5->$6,$7" ret=1 fi if test $ret != 0 then echo "ERROR: $msg in $4" >&2 exit 1 fi exec git update-index -- "$4" ;; *) echo "ERROR: $4: Not handling case $1 -> $2 -> $3" >&2 ;; esac exit 1
SIMPAN PERUBAHAN